/**
**************************************************************************
* @file app_init.h
* @brief Файл с функциями записи входов/выходов программы МК @ref app_init.
**************************************************************************/
#include "mcu_wrapper_conf.h"
#include "app_wrapper.h"

/**
  * @brief Функция для записи входов в приложение МК
  * @param u - массив входных значений
  */
void app_readInputs(const real_T* Buffer) {
// USER APP INPUT START
// Код для записи считывания входов из IO буфера
// Буфер в начале хранит входные порты S-Function, далее идут выходные порты:
// Buffer[0:15] - входной 1 порт, Buffer[16:31] - входной 2 порт, 
// Buffer[32:47] - выходной 1 порт, Buffer[48:63] - выходной 2 порт
//
// Note: используте для чтения:
//    val = ReadInputArray(arr_ind, val_ind)
// Пример:
// // запись в второй элемент первого массива
// app_variable = ReadInputArray(0, 1);
// // чтение из IO буфера напрямую
// app_variable_2 = Buffer[10];
// USER APP INPUT END
}

/**
  * @brief Функция для записи выходов приложения МК
  * @param xD - массив буффера выходов(дискретных выходов)
  * @details Используте WriteOutputArray(val, arr_ind, val_ind) для записи
  */
void app_writeOutputBuffer(real_T* Buffer) {
// USER APP OUTPUT START
// Код для записи выходов в IO буфер
// Буфер в начале хранит входные порты S-Function, далее идут выходные порты:
// Buffer[0:15] - входной 1 порт, Buffer[16:31] - входной 2 порт, 
// Buffer[32:47] - выходной 1 порт, Buffer[48:63] - выходной 2 порт
//
// Note: используте для записи:
//    WriteOutputArray(val, arr_ind, val_ind)
// Пример:
// // запись в второй элемент первого массива
// WriteOutputArray(app_variable, 0, 1);
// // запись в IO буфер напрямую
// Buffer[XD_OUTPUT_START + 10] = app_variable_2;
// USER APP OUTPUT END
}